# Microsoft.Samples.DirectX.UtilityToolkit.Framework Class Reference

Managed Utility Framework Class. More...

Collaboration diagram for Microsoft.Samples.DirectX.UtilityToolkit.Framework:

[legend]

List of all members.

## Public Member Functions
| Framework ()
| Constructor, init data here.
void | SetCallbackInterface (IFrameworkCallback callback)
void | SetDeviceCreationInterface (IDeviceCreation callback)
void | SetWndProcCallback (WndProcCallback callback)
void | Initialize (bool isParsingCommandLine, bool handleDefaultKeys, bool showMessageBoxOnError)
| Optionally parses the command line and sets if default hotkeys are handled Possible command line parameters are: -adapter:# forces app to use this adapter # (fails if the adapter doesn't exist) -windowed forces app to start windowed -fullscreen forces app to start full screen -forceHardware forces app to use Hardware (fails if Hardware doesn't exist) -forceReference forces app to use Reference (fails if Reference doesn't exist) -forcepurehwvp forces app to use pure HWVP (fails if device doesn't support it) -forcehwvp forces app to use HWVP (fails if device doesn't support it) -forceswvp forces app to use SWVP -width:# forces app to use # for width. for full screen, it will pick the closest possible supported mode -height:# forces app to use # for height. for full screen, it will pick the closest possible supported mode -startx:# forces app to use # for the x coord of the window position for windowed mode -starty:# forces app to use # for the y coord of the window position for windowed mode -constantframetime:# forces app to use constant frame time, where # is the time/frame in seconds -quitafterframe:x forces app to quit after # frames -noerrormsgboxes prevents the display of message boxes generated by the framework so the application can be run without user interaction -nostats prevents the display of the stats.
void | CreateWindow (string windowTitle, System.Drawing.Icon icon, System.Windows.Forms.MainMenu menu, int x, int y)
| Creates a window with the specified title, icon, menu, and starting position. If Init hasn't been called, this will call with default params. Instead of calling this, you can call SetWindow to use an existing window.
void | CreateWindow (string windowTitle)
| Calls into CreateWindow with default paramters.
void | SetWindow (System.Windows.Forms.Control windowFocus, System.Windows.Forms.Control windowDeviceFullscreen, System.Windows.Forms.Control windowDeviceWindowed, bool handleMessages)
| Sets a previously created window for the framework to use. If Init has not already been called, it will call it with default parameters. Instead of calling this you can call CreateWindow to create a new window.
void | SetWinformWindow (System.Windows.Forms.Control windowFocus, System.Windows.Forms.Control windowDeviceFullscreen, System.Windows.Forms.Control windowDeviceWindowed)
| Sets a previously created window for the framework to use. If Init has not already been called, it will call it with default parameters. Instead of calling this you can call CreateWindow to create a new window.
void | CreateDevice (uint adapterOridinal, bool windowed, int suggestedWidth, int suggestedHeight, IDeviceCreation callback)
| Creates a Direct3D device. If CreateWindow or SetWindow has not already been called, it will call CreateWindow with default parameters. Instead of calling this, you can call SetDevice or CreateDeviceFromSettings.
void | CreateDevice (int adapterOridinal, bool windowed, int suggestedWidth, int suggestedHeight, IDeviceCreation callback)
| Creates a Direct3D device. If CreateWindow or SetWindow has not already been called, it will call CreateWindow with default parameters. Instead of calling this, you can call SetDevice or CreateDeviceFromSettings This is the CLS compliant version.
void | SetDevice (Device device)
| Passes a previously created Direct3D device for use by the framework. If CreateWindow() has not already been called, it will call it with the default parameters. Instead of calling this, you can call CreateDevice() or CreateDeviceFromSettings().
void | CreateDeviceFromSettings (DeviceSettings deviceSettings, bool preserveInput)
| Tells the framework to change to a device created from the passed in device settings If CreateWindow() has not already been called, it will call it with the default parameters. Instead of calling this, you can call CreateDevice() or SetDevice().
void | CreateDeviceFromSettings (DeviceSettings deviceSettings)
| Tells the framework to change to a device created from the passed in device settings If CreateWindow() has not already been called, it will call it with the default parameters. Instead of calling this, you can call CreateDevice() or SetDevice().
void | ToggleFullscreen ()
| Toggle between full screen and windowed.
void | ToggleReference ()
| Toggle between Hardware and Reference.
void | Reset3DEnvironment ()
| Resets the 3D environment by: Calls the device lost callback Resets the device Stores the back buffer description Sets up the full screen Direct3D cursor if requested Calls the device reset callback.
void | Render3DEnvironment ()
| Render the 3D environment by: Checking if the device is lost and trying to reset it if it is Get the elapsed time since the last frame Calling the app's framemove and render callback Calling Present() If you're not using MainLoop, consider using Render3DEnvironment.
void | Pause (bool pauseTime, bool pauseRendering)
| Pauses time or rendering. Keeps a ref count so pausing can be layered.
void | DisplayErrorMessage (Exception e)
| Display an custom error msg box.
System.Drawing.Icon | LoadFirstIconFromResource ()
| Will try to load the first icon from the resources.
void | SetCursorSettings (bool showCursorWhenFullscreen, bool clipCursorWhenFullscreen)
| Handles setting up the cursor settings for fullscreen.
void | SetConstantFrameTime (bool constantFrameTime, float timePerFrame)
| Allows to set constant time per frame.
void | SetConstantFrameTime (bool constantFrameTime)
| Allows to set constant time per frame.
void | ShowSettingsDialog (bool shouldShow)
| Show the settings dialog, and create if needed.
void | ResetState ()
| Resets the state associated with the sample framework.
int | SetTimer (TimerCallback callbackTimer, float timeoutInSeconds)
| Adds a timer to the list of timers for the application.
void | KillTimer (int id)
| Kills an already created timer.
void | CloseWindow ()
| Will close the window.
void | MainLoop ()
| Handles app's message loop and rendering when idle. If CreateDevice*() or SetDevice() has not already been called, it will call CreateDevice() with the default parameters.
void | Dispose ()
| Shut down the sample framework.
| Framework ()
| Constructor, init data here.
void | SetCallbackInterface (IFrameworkCallback callback)
void | SetDeviceCreationInterface (IDeviceCreation callback)
void | SetWndProcCallback (WndProcCallback callback)
void | Initialize (bool isParsingCommandLine, bool handleDefaultKeys, bool showMessageBoxOnError)
| Optionally parses the command line and sets if default hotkeys are handled Possible command line parameters are: -adapter:# forces app to use this adapter # (fails if the adapter doesn't exist) -windowed forces app to start windowed -fullscreen forces app to start full screen -forceHardware forces app to use Hardware (fails if Hardware doesn't exist) -forceReference forces app to use Reference (fails if Reference doesn't exist) -forcepurehwvp forces app to use pure HWVP (fails if device doesn't support it) -forcehwvp forces app to use HWVP (fails if device doesn't support it) -forceswvp forces app to use SWVP -width:# forces app to use # for width. for full screen, it will pick the closest possible supported mode -height:# forces app to use # for height. for full screen, it will pick the closest possible supported mode -startx:# forces app to use # for the x coord of the window position for windowed mode -starty:# forces app to use # for the y coord of the window position for windowed mode -constantframetime:# forces app to use constant frame time, where # is the time/frame in seconds -quitafterframe:x forces app to quit after # frames -noerrormsgboxes prevents the display of message boxes generated by the framework so the application can be run without user interaction -nostats prevents the display of the stats.
void | CreateWindow (string windowTitle, System.Drawing.Icon icon, System.Windows.Forms.MainMenu menu, int x, int y)
| Creates a window with the specified title, icon, menu, and starting position. If Init hasn't been called, this will call with default params. Instead of calling this, you can call SetWindow to use an existing window.
void | CreateWindow (string windowTitle)
| Calls into CreateWindow with default paramters.
void | SetWindow (System.Windows.Forms.Control windowFocus, System.Windows.Forms.Control windowDeviceFullscreen, System.Windows.Forms.Control windowDeviceWindowed, bool handleMessages)
| Sets a previously created window for the framework to use. If Init has not already been called, it will call it with default parameters. Instead of calling this you can call CreateWindow to create a new window.
void | SetWinformWindow (System.Windows.Forms.Control windowFocus, System.Windows.Forms.Control windowDeviceFullscreen, System.Windows.Forms.Control windowDeviceWindowed)
| Sets a previously created window for the framework to use. If Init has not already been called, it will call it with default parameters. Instead of calling this you can call CreateWindow to create a new window.
void | CreateDevice (uint adapterOridinal, bool windowed, int suggestedWidth, int suggestedHeight, IDeviceCreation callback)
| Creates a Direct3D device. If CreateWindow or SetWindow has not already been called, it will call CreateWindow with default parameters. Instead of calling this, you can call SetDevice or CreateDeviceFromSettings.
void | CreateDevice (int adapterOridinal, bool windowed, int suggestedWidth, int suggestedHeight, IDeviceCreation callback)
| Creates a Direct3D device. If CreateWindow or SetWindow has not already been called, it will call CreateWindow with default parameters. Instead of calling this, you can call SetDevice or CreateDeviceFromSettings This is the CLS compliant version.
void | SetDevice (Device device)
| Passes a previously created Direct3D device for use by the framework. If CreateWindow() has not already been called, it will call it with the default parameters. Instead of calling this, you can call CreateDevice() or CreateDeviceFromSettings().
void | CreateDeviceFromSettings (DeviceSettings deviceSettings, bool preserveInput)
| Tells the framework to change to a device created from the passed in device settings If CreateWindow() has not already been called, it will call it with the default parameters. Instead of calling this, you can call CreateDevice() or SetDevice().
void | CreateDeviceFromSettings (DeviceSettings deviceSettings)
| Tells the framework to change to a device created from the passed in device settings If CreateWindow() has not already been called, it will call it with the default parameters. Instead of calling this, you can call CreateDevice() or SetDevice().
void | ToggleFullscreen ()
| Toggle between full screen and windowed.
void | ToggleReference ()
| Toggle between Hardware and Reference.
void | Reset3DEnvironment ()
| Resets the 3D environment by: Calls the device lost callback Resets the device Stores the back buffer description Sets up the full screen Direct3D cursor if requested Calls the device reset callback.
void | Render3DEnvironment ()
| Render the 3D environment by: Checking if the device is lost and trying to reset it if it is Get the elapsed time since the last frame Calling the app's framemove and render callback Calling Present() If you're not using MainLoop, consider using Render3DEnvironment.
void | Pause (bool pauseTime, bool pauseRendering)
| Pauses time or rendering. Keeps a ref count so pausing can be layered.
void | DisplayErrorMessage (Exception e)
| Display an custom error msg box.
System.Drawing.Icon | LoadFirstIconFromResource ()
| Will try to load the first icon from the resources.
void | SetCursorSettings (bool showCursorWhenFullscreen, bool clipCursorWhenFullscreen)
| Handles setting up the cursor settings for fullscreen.
void | SetConstantFrameTime (bool constantFrameTime, float timePerFrame)
| Allows to set constant time per frame.
void | SetConstantFrameTime (bool constantFrameTime)
| Allows to set constant time per frame.
void | ShowSettingsDialog (bool shouldShow)
| Show the settings dialog, and create if needed.
void | ResetState ()
| Resets the state associated with the sample framework.
int | SetTimer (TimerCallback callbackTimer, float timeoutInSeconds)
| Adds a timer to the list of timers for the application.
void | KillTimer (int id)
| Kills an already created timer.
void | CloseWindow ()
| Will close the window.
void | MainLoop ()
| Handles app's message loop and rendering when idle. If CreateDevice*() or SetDevice() has not already been called, it will call CreateDevice() with the default parameters.
void | Dispose ()
| Shut down the sample framework.
| Framework ()
| Constructor, init data here.
void | SetCallbackInterface (IFrameworkCallback callback)
void | SetDeviceCreationInterface (IDeviceCreation callback)
void | SetWndProcCallback (WndProcCallback callback)
void | Initialize (bool isParsingCommandLine, bool handleDefaultKeys, bool showMessageBoxOnError)
| Optionally parses the command line and sets if default hotkeys are handled Possible command line parameters are: -adapter:# forces app to use this adapter # (fails if the adapter doesn't exist) -windowed forces app to start windowed -fullscreen forces app to start full screen -forceHardware forces app to use Hardware (fails if Hardware doesn't exist) -forceReference forces app to use Reference (fails if Reference doesn't exist) -forcepurehwvp forces app to use pure HWVP (fails if device doesn't support it) -forcehwvp forces app to use HWVP (fails if device doesn't support it) -forceswvp forces app to use SWVP -width:# forces app to use # for width. for full screen, it will pick the closest possible supported mode -height:# forces app to use # for height. for full screen, it will pick the closest possible supported mode -startx:# forces app to use # for the x coord of the window position for windowed mode -starty:# forces app to use # for the y coord of the window position for windowed mode -constantframetime:# forces app to use constant frame time, where # is the time/frame in seconds -quitafterframe:x forces app to quit after # frames -noerrormsgboxes prevents the display of message boxes generated by the framework so the application can be run without user interaction -nostats prevents the display of the stats.
void | CreateWindow (string windowTitle, System.Drawing.Icon icon, System.Windows.Forms.MainMenu menu, int x, int y)
| Creates a window with the specified title, icon, menu, and starting position. If Init hasn't been called, this will call with default params. Instead of calling this, you can call SetWindow to use an existing window.
void | CreateWindow (string windowTitle)
| Calls into CreateWindow with default paramters.
void | SetWindow (System.Windows.Forms.Control windowFocus, System.Windows.Forms.Control windowDeviceFullscreen, System.Windows.Forms.Control windowDeviceWindowed, bool handleMessages)
| Sets a previously created window for the framework to use. If Init has not already been called, it will call it with default parameters. Instead of calling this you can call CreateWindow to create a new window.
void | SetWinformWindow (System.Windows.Forms.Control windowFocus, System.Windows.Forms.Control windowDeviceFullscreen, System.Windows.Forms.Control windowDeviceWindowed)
| Sets a previously created window for the framework to use. If Init has not already been called, it will call it with default parameters. Instead of calling this you can call CreateWindow to create a new window.
void | CreateDevice (uint adapterOridinal, bool windowed, int suggestedWidth, int suggestedHeight, IDeviceCreation callback)
| Creates a Direct3D device. If CreateWindow or SetWindow has not already been called, it will call CreateWindow with default parameters. Instead of calling this, you can call SetDevice or CreateDeviceFromSettings.
void | CreateDevice (int adapterOridinal, bool windowed, int suggestedWidth, int suggestedHeight, IDeviceCreation callback)
| Creates a Direct3D device. If CreateWindow or SetWindow has not already been called, it will call CreateWindow with default parameters. Instead of calling this, you can call SetDevice or CreateDeviceFromSettings This is the CLS compliant version.
void | SetDevice (Device device)
| Passes a previously created Direct3D device for use by the framework. If CreateWindow() has not already been called, it will call it with the default parameters. Instead of calling this, you can call CreateDevice() or CreateDeviceFromSettings().
void | CreateDeviceFromSettings (DeviceSettings deviceSettings, bool preserveInput)
| Tells the framework to change to a device created from the passed in device settings If CreateWindow() has not already been called, it will call it with the default parameters. Instead of calling this, you can call CreateDevice() or SetDevice().
void | CreateDeviceFromSettings (DeviceSettings deviceSettings)
| Tells the framework to change to a device created from the passed in device settings If CreateWindow() has not already been called, it will call it with the default parameters. Instead of calling this, you can call CreateDevice() or SetDevice().
void | ToggleFullscreen ()
| Toggle between full screen and windowed.
void | ToggleReference ()
| Toggle between Hardware and Reference.
void | Reset3DEnvironment ()
| Resets the 3D environment by: Calls the device lost callback Resets the device Stores the back buffer description Sets up the full screen Direct3D cursor if requested Calls the device reset callback.
void | Render3DEnvironment ()
| Render the 3D environment by: Checking if the device is lost and trying to reset it if it is Get the elapsed time since the last frame Calling the app's framemove and render callback Calling Present() If you're not using MainLoop, consider using Render3DEnvironment.
void | Pause (bool pauseTime, bool pauseRendering)
| Pauses time or rendering. Keeps a ref count so pausing can be layered.
void | DisplayErrorMessage (Exception e)
| Display an custom error msg box.
System.Drawing.Icon | LoadFirstIconFromResource ()
| Will try to load the first icon from the resources.
void | SetCursorSettings (bool showCursorWhenFullscreen, bool clipCursorWhenFullscreen)
| Handles setting up the cursor settings for fullscreen.
void | SetConstantFrameTime (bool constantFrameTime, float timePerFrame)
| Allows to set constant time per frame.
void | SetConstantFrameTime (bool constantFrameTime)
| Allows to set constant time per frame.
void | ShowSettingsDialog (bool shouldShow)
| Show the settings dialog, and create if needed.
void | ResetState ()
| Resets the state associated with the sample framework.
int | SetTimer (TimerCallback callbackTimer, float timeoutInSeconds)
| Adds a timer to the list of timers for the application.
void | KillTimer (int id)
| Kills an already created timer.
void | CloseWindow ()
| Will close the window.
void | MainLoop ()
| Handles app's message loop and rendering when idle. If CreateDevice*() or SetDevice() has not already been called, it will call CreateDevice() with the default parameters.
void | Dispose ()
| Shut down the sample framework.
## Public Attributes
const int | DefaultSizeWidth = 640
const int | DefaultSizeHeight = 480
## Static Public Attributes
static readonly IntPtr | TrueIntPtr = new IntPtr(1)
## Properties
bool | CanAutomaticallyChangeMonitor`[get, set]`
| Determines if the adapter can automatically change monitors.
int | ExitCode`[get]`
| Exit code from the framework.
Device | Device`[get]`
| Returns the device current in use for the framework.
SurfaceDescription | BackBufferSurfaceDescription`[get]`
| Returns the back buffer surface description.
Caps | DeviceCaps`[get]`
| Returns the device capabilities.
System.Windows.Forms.Control | Window`[get]`
| Get the current window used for rendering.
System.Windows.Forms.Form | WindowForm`[get]`
| Get the current window used for rendering.
System.Windows.Forms.Control | WindowFocus`[get]`
| Get the current focus window.
System.Windows.Forms.Control | WindowDeviceWindowed`[get]`
| Get the current window used for windowed rendering.
System.Windows.Forms.Control | WindowDeviceFullscreen`[get]`
| Get the current window used for full screen rendering.
System.Drawing.Rectangle | WindowClientRectangle`[get]`
| Client rectangle size.
System.Drawing.Rectangle | ClientRectangle`[get]`
| Client rectangle size.
bool | IsWindowed`[get]`
| Return if windowed in the current device. If no device exists yet, return false.
string | FrameStats`[get]`
| Frame statistics.
string | DeviceStats`[get]`
| Device statistics.
float | FPS`[get]`
| Frames per second application is running at.
bool | IsD3DSettingsDialogShowing`[get]`
| Returns whether the settings is showing.
bool | IsShowingMsgBoxOnError`[get]`
| Returns whether the framework is showing errors.
DeviceSettings | DeviceSettings`[get]`
| Return the device settings of the current device. If no device exists yet, then return blank device settings.
PresentParameters | PresentParameters`[get]`
| Return the present params of the current device. If no device exists yet, then return blank present params.
bool | IsNotifiedOnMouseMove`[get, set]`
| Should the framework also notify for mouse moves.
bool | IsOverridingFullScreen`[get, set]`
| Should the framework override and start fullscreen?
bool | IsIgnoringSizeChanges`[get, set]`
| Should the framework ignore size changes?
Capabilities | DeviceCapabilities`[get]`
| Returns the device capabilities.
## Events
EventHandler | Disposing
| The event fired for disposing of the device.
EventHandler | DeviceLost
| The event fired for when the device is lost.
DeviceEventHandler | DeviceCreated
| The event fired for when the device is created.
DeviceEventHandler | DeviceReset
| The event fired for when the device is reset.

## Detailed Description

Managed Utility Framework Class.

Definition at line 18 of file dxmut.cs.

## Constructor & Destructor Documentation

Microsoft.Samples.DirectX.UtilityToolkit.Framework.Framework | ( |  | ) |

Constructor, init data here.

Definition at line 68 of file dxmut.cs.

Microsoft.Samples.DirectX.UtilityToolkit.Framework.Framework | ( |  | ) |

Constructor, init data here.

Definition at line 68 of file dxmut.cs.

Microsoft.Samples.DirectX.UtilityToolkit.Framework.Framework | ( |  | ) |

Constructor, init data here.

Definition at line 68 of file wdxmut.cs.

## Member Function Documentation

void Microsoft.Samples.DirectX.UtilityToolkit.Framework.CloseWindow | ( |  | ) |

Will close the window.

Definition at line 3555 of file wdxmut.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Framework.CloseWindow | ( |  | ) |

Will close the window.

Definition at line 3552 of file dxmut.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Framework.CloseWindow | ( |  | ) |

Will close the window.

Definition at line 3552 of file dxmut.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Framework.CreateDevice | ( | int | adapterOridinal,
|  | bool | windowed,
|  | int | suggestedWidth,
|  | int | suggestedHeight,
|  | IDeviceCreation | callback |
| ) |  |  |

Creates a Direct3D device. If CreateWindow or SetWindow has not already been called, it will call CreateWindow with default parameters. Instead of calling this, you can call SetDevice or CreateDeviceFromSettings This is the CLS compliant version.

Definition at line 579 of file wdxmut.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Framework.CreateDevice | ( | uint | adapterOridinal,
|  | bool | windowed,
|  | int | suggestedWidth,
|  | int | suggestedHeight,
|  | IDeviceCreation | callback |
| ) |  |  |

Creates a Direct3D device. If CreateWindow or SetWindow has not already been called, it will call CreateWindow with default parameters. Instead of calling this, you can call SetDevice or CreateDeviceFromSettings.

Definition at line 452 of file wdxmut.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Framework.CreateDevice | ( | int | adapterOridinal,
|  | bool | windowed,
|  | int | suggestedWidth,
|  | int | suggestedHeight,
|  | IDeviceCreation | callback |
| ) |  |  |

Creates a Direct3D device. If CreateWindow or SetWindow has not already been called, it will call CreateWindow with default parameters. Instead of calling this, you can call SetDevice or CreateDeviceFromSettings This is the CLS compliant version.

Definition at line 579 of file dxmut.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Framework.CreateDevice | ( | uint | adapterOridinal,
|  | bool | windowed,
|  | int | suggestedWidth,
|  | int | suggestedHeight,
|  | IDeviceCreation | callback |
| ) |  |  |

Creates a Direct3D device. If CreateWindow or SetWindow has not already been called, it will call CreateWindow with default parameters. Instead of calling this, you can call SetDevice or CreateDeviceFromSettings.

Definition at line 452 of file dxmut.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Framework.CreateDevice | ( | int | adapterOridinal,
|  | bool | windowed,
|  | int | suggestedWidth,
|  | int | suggestedHeight,
|  | IDeviceCreation | callback |
| ) |  |  |

Creates a Direct3D device. If CreateWindow or SetWindow has not already been called, it will call CreateWindow with default parameters. Instead of calling this, you can call SetDevice or CreateDeviceFromSettings This is the CLS compliant version.

Definition at line 579 of file dxmut.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Framework.CreateDevice | ( | uint | adapterOridinal,
|  | bool | windowed,
|  | int | suggestedWidth,
|  | int | suggestedHeight,
|  | IDeviceCreation | callback |
| ) |  |  |

Creates a Direct3D device. If CreateWindow or SetWindow has not already been called, it will call CreateWindow with default parameters. Instead of calling this, you can call SetDevice or CreateDeviceFromSettings.

Definition at line 452 of file dxmut.cs.

Here is the caller graph for this function:

void Microsoft.Samples.DirectX.UtilityToolkit.Framework.CreateDeviceFromSettings | ( | DeviceSettings | deviceSettings | ) |

Tells the framework to change to a device created from the passed in device settings If CreateWindow() has not already been called, it will call it with the default parameters. Instead of calling this, you can call CreateDevice() or SetDevice().

Definition at line 705 of file wdxmut.cs.

Here is the call graph for this function:

Here is the caller graph for this function:

void Microsoft.Samples.DirectX.UtilityToolkit.Framework.CreateDeviceFromSettings | ( | DeviceSettings | deviceSettings,
|  | bool | preserveInput |
| ) |  |  |

Tells the framework to change to a device created from the passed in device settings If CreateWindow() has not already been called, it will call it with the default parameters. Instead of calling this, you can call CreateDevice() or SetDevice().

Definition at line 646 of file wdxmut.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Framework.CreateDeviceFromSettings | ( | DeviceSettings | deviceSettings | ) |

Tells the framework to change to a device created from the passed in device settings If CreateWindow() has not already been called, it will call it with the default parameters. Instead of calling this, you can call CreateDevice() or SetDevice().

Definition at line 705 of file dxmut.cs.

Here is the call graph for this function:

Here is the caller graph for this function:

void Microsoft.Samples.DirectX.UtilityToolkit.Framework.CreateDeviceFromSettings | ( | DeviceSettings | deviceSettings,
|  | bool | preserveInput |
| ) |  |  |

Tells the framework to change to a device created from the passed in device settings If CreateWindow() has not already been called, it will call it with the default parameters. Instead of calling this, you can call CreateDevice() or SetDevice().

Definition at line 646 of file dxmut.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Framework.CreateDeviceFromSettings | ( | DeviceSettings | deviceSettings | ) |

Tells the framework to change to a device created from the passed in device settings If CreateWindow() has not already been called, it will call it with the default parameters. Instead of calling this, you can call CreateDevice() or SetDevice().

Definition at line 705 of file dxmut.cs.

Here is the call graph for this function:

Here is the caller graph for this function:

void Microsoft.Samples.DirectX.UtilityToolkit.Framework.CreateDeviceFromSettings | ( | DeviceSettings | deviceSettings,
|  | bool | preserveInput |
| ) |  |  |

Tells the framework to change to a device created from the passed in device settings If CreateWindow() has not already been called, it will call it with the default parameters. Instead of calling this, you can call CreateDevice() or SetDevice().

Definition at line 646 of file dxmut.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Framework.CreateWindow | ( | string | windowTitle | ) |

Calls into CreateWindow with default paramters.

Definition at line 348 of file wdxmut.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Framework.CreateWindow | ( | string | windowTitle,
|  | System.Drawing.Icon | icon,
|  | System.Windows.Forms.MainMenu | menu,
|  | int | x,
|  | int | y |
| ) |  |  |

Creates a window with the specified title, icon, menu, and starting position. If Init hasn't been called, this will call with default params. Instead of calling this, you can call SetWindow to use an existing window.

Definition at line 264 of file wdxmut.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Framework.CreateWindow | ( | string | windowTitle | ) |

Calls into CreateWindow with default paramters.

Definition at line 348 of file dxmut.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Framework.CreateWindow | ( | string | windowTitle,
|  | System.Drawing.Icon | icon,
|  | System.Windows.Forms.MainMenu | menu,
|  | int | x,
|  | int | y |
| ) |  |  |

Creates a window with the specified title, icon, menu, and starting position. If Init hasn't been called, this will call with default params. Instead of calling this, you can call SetWindow to use an existing window.

Definition at line 264 of file dxmut.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Framework.CreateWindow | ( | string | windowTitle | ) |

Calls into CreateWindow with default paramters.

Definition at line 348 of file dxmut.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Framework.CreateWindow | ( | string | windowTitle,
|  | System.Drawing.Icon | icon,
|  | System.Windows.Forms.MainMenu | menu,
|  | int | x,
|  | int | y |
| ) |  |  |

Creates a window with the specified title, icon, menu, and starting position. If Init hasn't been called, this will call with default params. Instead of calling this, you can call SetWindow to use an existing window.

Definition at line 264 of file dxmut.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Framework.DisplayErrorMessage | ( | Exception | e | ) |

Display an custom error msg box.

Definition at line 2650 of file wdxmut.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Framework.DisplayErrorMessage | ( | Exception | e | ) |

Display an custom error msg box.

Definition at line 2650 of file dxmut.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Framework.DisplayErrorMessage | ( | Exception | e | ) |

Display an custom error msg box.

Definition at line 2650 of file dxmut.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Framework.Dispose | ( |  | ) |

Shut down the sample framework.

Definition at line 3961 of file wdxmut.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Framework.Dispose | ( |  | ) |

Shut down the sample framework.

Definition at line 3958 of file dxmut.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Framework.Dispose | ( |  | ) |

Shut down the sample framework.

Definition at line 3958 of file dxmut.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Framework.Initialize | ( | bool | isParsingCommandLine,
|  | bool | handleDefaultKeys,
|  | bool | showMessageBoxOnError |
| ) |  |  |

Optionally parses the command line and sets if default hotkeys are handled Possible command line parameters are: -adapter:# forces app to use this adapter # (fails if the adapter doesn't exist) -windowed forces app to start windowed -fullscreen forces app to start full screen -forceHardware forces app to use Hardware (fails if Hardware doesn't exist) -forceReference forces app to use Reference (fails if Reference doesn't exist) -forcepurehwvp forces app to use pure HWVP (fails if device doesn't support it) -forcehwvp forces app to use HWVP (fails if device doesn't support it) -forceswvp forces app to use SWVP -width:# forces app to use # for width. for full screen, it will pick the closest possible supported mode -height:# forces app to use # for height. for full screen, it will pick the closest possible supported mode -startx:# forces app to use # for the x coord of the window position for windowed mode -starty:# forces app to use # for the y coord of the window position for windowed mode -constantframetime:# forces app to use constant frame time, where # is the time/frame in seconds -quitafterframe:x forces app to quit after # frames -noerrormsgboxes prevents the display of message boxes generated by the framework so the application can be run without user interaction -nostats prevents the display of the stats.

Hotkeys handled by default are: ESC app exits Alt-Enter toggle between full screen & windowed F2 device selection dialog F3 toggle Hardware/Reference F8 toggle wire-frame mode Pause pauses time

Definition at line 121 of file wdxmut.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Framework.Initialize | ( | bool | isParsingCommandLine,
|  | bool | handleDefaultKeys,
|  | bool | showMessageBoxOnError |
| ) |  |  |

Optionally parses the command line and sets if default hotkeys are handled Possible command line parameters are: -adapter:# forces app to use this adapter # (fails if the adapter doesn't exist) -windowed forces app to start windowed -fullscreen forces app to start full screen -forceHardware forces app to use Hardware (fails if Hardware doesn't exist) -forceReference forces app to use Reference (fails if Reference doesn't exist) -forcepurehwvp forces app to use pure HWVP (fails if device doesn't support it) -forcehwvp forces app to use HWVP (fails if device doesn't support it) -forceswvp forces app to use SWVP -width:# forces app to use # for width. for full screen, it will pick the closest possible supported mode -height:# forces app to use # for height. for full screen, it will pick the closest possible supported mode -startx:# forces app to use # for the x coord of the window position for windowed mode -starty:# forces app to use # for the y coord of the window position for windowed mode -constantframetime:# forces app to use constant frame time, where # is the time/frame in seconds -quitafterframe:x forces app to quit after # frames -noerrormsgboxes prevents the display of message boxes generated by the framework so the application can be run without user interaction -nostats prevents the display of the stats.

Hotkeys handled by default are: ESC app exits Alt-Enter toggle between full screen & windowed F2 device selection dialog F3 toggle Hardware/Reference F8 toggle wire-frame mode Pause pauses time

Definition at line 121 of file dxmut.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Framework.Initialize | ( | bool | isParsingCommandLine,
|  | bool | handleDefaultKeys,
|  | bool | showMessageBoxOnError |
| ) |  |  |

Optionally parses the command line and sets if default hotkeys are handled Possible command line parameters are: -adapter:# forces app to use this adapter # (fails if the adapter doesn't exist) -windowed forces app to start windowed -fullscreen forces app to start full screen -forceHardware forces app to use Hardware (fails if Hardware doesn't exist) -forceReference forces app to use Reference (fails if Reference doesn't exist) -forcepurehwvp forces app to use pure HWVP (fails if device doesn't support it) -forcehwvp forces app to use HWVP (fails if device doesn't support it) -forceswvp forces app to use SWVP -width:# forces app to use # for width. for full screen, it will pick the closest possible supported mode -height:# forces app to use # for height. for full screen, it will pick the closest possible supported mode -startx:# forces app to use # for the x coord of the window position for windowed mode -starty:# forces app to use # for the y coord of the window position for windowed mode -constantframetime:# forces app to use constant frame time, where # is the time/frame in seconds -quitafterframe:x forces app to quit after # frames -noerrormsgboxes prevents the display of message boxes generated by the framework so the application can be run without user interaction -nostats prevents the display of the stats.

Hotkeys handled by default are: ESC app exits Alt-Enter toggle between full screen & windowed F2 device selection dialog F3 toggle Hardware/Reference F8 toggle wire-frame mode Pause pauses time

Definition at line 121 of file dxmut.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Framework.KillTimer | ( | int | id | ) |

Kills an already created timer.

Definition at line 3516 of file wdxmut.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Framework.KillTimer | ( | int | id | ) |

Kills an already created timer.

Definition at line 3513 of file dxmut.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Framework.KillTimer | ( | int | id | ) |

Kills an already created timer.

Definition at line 3513 of file dxmut.cs.

System.Drawing.Icon Microsoft.Samples.DirectX.UtilityToolkit.Framework.LoadFirstIconFromResource | ( |  | ) |

Will try to load the first icon from the resources.

Definition at line 3183 of file wdxmut.cs.

System.Drawing.Icon Microsoft.Samples.DirectX.UtilityToolkit.Framework.LoadFirstIconFromResource | ( |  | ) |

Will try to load the first icon from the resources.

Definition at line 3183 of file dxmut.cs.

System.Drawing.Icon Microsoft.Samples.DirectX.UtilityToolkit.Framework.LoadFirstIconFromResource | ( |  | ) |

Will try to load the first icon from the resources.

Definition at line 3183 of file dxmut.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Framework.MainLoop | ( |  | ) |

Handles app's message loop and rendering when idle. If CreateDevice*() or SetDevice() has not already been called, it will call CreateDevice() with the default parameters.

Definition at line 3870 of file wdxmut.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Framework.MainLoop | ( |  | ) |

Handles app's message loop and rendering when idle. If CreateDevice*() or SetDevice() has not already been called, it will call CreateDevice() with the default parameters.

Definition at line 3867 of file dxmut.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Framework.MainLoop | ( |  | ) |

Handles app's message loop and rendering when idle. If CreateDevice*() or SetDevice() has not already been called, it will call CreateDevice() with the default parameters.

Definition at line 3867 of file dxmut.cs.

Here is the caller graph for this function:

void Microsoft.Samples.DirectX.UtilityToolkit.Framework.Pause | ( | bool | pauseTime,
|  | bool | pauseRendering |
| ) |  |  |

Pauses time or rendering. Keeps a ref count so pausing can be layered.

Definition at line 2620 of file wdxmut.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Framework.Pause | ( | bool | pauseTime,
|  | bool | pauseRendering |
| ) |  |  |

Pauses time or rendering. Keeps a ref count so pausing can be layered.

Definition at line 2620 of file dxmut.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Framework.Pause | ( | bool | pauseTime,
|  | bool | pauseRendering |
| ) |  |  |

Pauses time or rendering. Keeps a ref count so pausing can be layered.

Definition at line 2620 of file dxmut.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Framework.Render3DEnvironment | ( |  | ) |

Render the 3D environment by:

- Checking if the device is lost and trying to reset it if it is
- Get the elapsed time since the last frame
- Calling the app's framemove and render callback
- Calling Present() If you're not using MainLoop, consider using Render3DEnvironment.

Definition at line 2391 of file wdxmut.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Framework.Render3DEnvironment | ( |  | ) |

Render the 3D environment by:

- Checking if the device is lost and trying to reset it if it is
- Get the elapsed time since the last frame
- Calling the app's framemove and render callback
- Calling Present() If you're not using MainLoop, consider using Render3DEnvironment.

Definition at line 2391 of file dxmut.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Framework.Render3DEnvironment | ( |  | ) |

Render the 3D environment by:

- Checking if the device is lost and trying to reset it if it is
- Get the elapsed time since the last frame
- Calling the app's framemove and render callback
- Calling Present() If you're not using MainLoop, consider using Render3DEnvironment.

Definition at line 2391 of file dxmut.cs.

Here is the caller graph for this function:

void Microsoft.Samples.DirectX.UtilityToolkit.Framework.Reset3DEnvironment | ( |  | ) |

Resets the 3D environment by:

- Calls the device lost callback
- Resets the device
- Stores the back buffer description
- Sets up the full screen Direct3D cursor if requested
- Calls the device reset callback.

Definition at line 2340 of file wdxmut.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Framework.Reset3DEnvironment | ( |  | ) |

Resets the 3D environment by:

- Calls the device lost callback
- Resets the device
- Stores the back buffer description
- Sets up the full screen Direct3D cursor if requested
- Calls the device reset callback.

Definition at line 2340 of file dxmut.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Framework.Reset3DEnvironment | ( |  | ) |

Resets the 3D environment by:

- Calls the device lost callback
- Resets the device
- Stores the back buffer description
- Sets up the full screen Direct3D cursor if requested
- Calls the device reset callback.

Definition at line 2340 of file dxmut.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Framework.ResetState | ( |  | ) |

Resets the state associated with the sample framework.

Definition at line 3491 of file wdxmut.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Framework.ResetState | ( |  | ) |

Resets the state associated with the sample framework.

Definition at line 3488 of file dxmut.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Framework.ResetState | ( |  | ) |

Resets the state associated with the sample framework.

Definition at line 3488 of file dxmut.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Framework.SetCallbackInterface | ( | IFrameworkCallback | callback | ) |

Definition at line 76 of file wdxmut.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Framework.SetCallbackInterface | ( | IFrameworkCallback | callback | ) |

Definition at line 76 of file dxmut.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Framework.SetCallbackInterface | ( | IFrameworkCallback | callback | ) |

Definition at line 76 of file dxmut.cs.

Here is the caller graph for this function:

void Microsoft.Samples.DirectX.UtilityToolkit.Framework.SetConstantFrameTime | ( | bool | constantFrameTime | ) |

Allows to set constant time per frame.

Definition at line 3246 of file wdxmut.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Framework.SetConstantFrameTime | ( | bool | constantFrameTime,
|  | float | timePerFrame |
| ) |  |  |

Allows to set constant time per frame.

Definition at line 3235 of file wdxmut.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Framework.SetConstantFrameTime | ( | bool | constantFrameTime | ) |

Allows to set constant time per frame.

Definition at line 3245 of file dxmut.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Framework.SetConstantFrameTime | ( | bool | constantFrameTime,
|  | float | timePerFrame |
| ) |  |  |

Allows to set constant time per frame.

Definition at line 3234 of file dxmut.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Framework.SetConstantFrameTime | ( | bool | constantFrameTime | ) |

Allows to set constant time per frame.

Definition at line 3245 of file dxmut.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Framework.SetConstantFrameTime | ( | bool | constantFrameTime,
|  | float | timePerFrame |
| ) |  |  |

Allows to set constant time per frame.

Definition at line 3234 of file dxmut.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Framework.SetCursorSettings | ( | bool | showCursorWhenFullscreen,
|  | bool | clipCursorWhenFullscreen |
| ) |  |  |

Handles setting up the cursor settings for fullscreen.

Definition at line 3221 of file wdxmut.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Framework.SetCursorSettings | ( | bool | showCursorWhenFullscreen,
|  | bool | clipCursorWhenFullscreen |
| ) |  |  |

Handles setting up the cursor settings for fullscreen.

Definition at line 3221 of file dxmut.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Framework.SetCursorSettings | ( | bool | showCursorWhenFullscreen,
|  | bool | clipCursorWhenFullscreen |
| ) |  |  |

Handles setting up the cursor settings for fullscreen.

Definition at line 3221 of file dxmut.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Framework.SetDevice | ( | Device | device | ) |

Passes a previously created Direct3D device for use by the framework. If CreateWindow() has not already been called, it will call it with the default parameters. Instead of calling this, you can call CreateDevice() or CreateDeviceFromSettings().

Definition at line 593 of file wdxmut.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Framework.SetDevice | ( | Device | device | ) |

Passes a previously created Direct3D device for use by the framework. If CreateWindow() has not already been called, it will call it with the default parameters. Instead of calling this, you can call CreateDevice() or CreateDeviceFromSettings().

Definition at line 593 of file dxmut.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Framework.SetDevice | ( | Device | device | ) |

Passes a previously created Direct3D device for use by the framework. If CreateWindow() has not already been called, it will call it with the default parameters. Instead of calling this, you can call CreateDevice() or CreateDeviceFromSettings().

Definition at line 593 of file dxmut.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Framework.SetDeviceCreationInterface | ( | IDeviceCreation | callback | ) |

Definition at line 77 of file wdxmut.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Framework.SetDeviceCreationInterface | ( | IDeviceCreation | callback | ) |

Definition at line 77 of file dxmut.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Framework.SetDeviceCreationInterface | ( | IDeviceCreation | callback | ) |

Definition at line 77 of file dxmut.cs.

int Microsoft.Samples.DirectX.UtilityToolkit.Framework.SetTimer | ( | TimerCallback | callbackTimer,
|  | float | timeoutInSeconds |
| ) |  |  |

Adds a timer to the list of timers for the application.

Returns:
  A unqiue id of the timer

Definition at line 3500 of file wdxmut.cs.

int Microsoft.Samples.DirectX.UtilityToolkit.Framework.SetTimer | ( | TimerCallback | callbackTimer,
|  | float | timeoutInSeconds |
| ) |  |  |

Adds a timer to the list of timers for the application.

Returns:
  A unqiue id of the timer

Definition at line 3497 of file dxmut.cs.

int Microsoft.Samples.DirectX.UtilityToolkit.Framework.SetTimer | ( | TimerCallback | callbackTimer,
|  | float | timeoutInSeconds |
| ) |  |  |

Adds a timer to the list of timers for the application.

Returns:
  A unqiue id of the timer

Definition at line 3497 of file dxmut.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Framework.SetWindow | ( | System.Windows.Forms.Control | windowFocus,
|  | System.Windows.Forms.Control | windowDeviceFullscreen,
|  | System.Windows.Forms.Control | windowDeviceWindowed,
|  | bool | handleMessages |
| ) |  |  |

Sets a previously created window for the framework to use. If Init has not already been called, it will call it with default parameters. Instead of calling this you can call CreateWindow to create a new window.

Definition at line 357 of file wdxmut.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Framework.SetWindow | ( | System.Windows.Forms.Control | windowFocus,
|  | System.Windows.Forms.Control | windowDeviceFullscreen,
|  | System.Windows.Forms.Control | windowDeviceWindowed,
|  | bool | handleMessages |
| ) |  |  |

Sets a previously created window for the framework to use. If Init has not already been called, it will call it with default parameters. Instead of calling this you can call CreateWindow to create a new window.

Definition at line 357 of file dxmut.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Framework.SetWindow | ( | System.Windows.Forms.Control | windowFocus,
|  | System.Windows.Forms.Control | windowDeviceFullscreen,
|  | System.Windows.Forms.Control | windowDeviceWindowed,
|  | bool | handleMessages |
| ) |  |  |

Sets a previously created window for the framework to use. If Init has not already been called, it will call it with default parameters. Instead of calling this you can call CreateWindow to create a new window.

Definition at line 357 of file dxmut.cs.

Here is the caller graph for this function:

void Microsoft.Samples.DirectX.UtilityToolkit.Framework.SetWinformWindow | ( | System.Windows.Forms.Control | windowFocus,
|  | System.Windows.Forms.Control | windowDeviceFullscreen,
|  | System.Windows.Forms.Control | windowDeviceWindowed |
| ) |  |  |

Sets a previously created window for the framework to use. If Init has not already been called, it will call it with default parameters. Instead of calling this you can call CreateWindow to create a new window.

Definition at line 410 of file wdxmut.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Framework.SetWinformWindow | ( | System.Windows.Forms.Control | windowFocus,
|  | System.Windows.Forms.Control | windowDeviceFullscreen,
|  | System.Windows.Forms.Control | windowDeviceWindowed |
| ) |  |  |

Sets a previously created window for the framework to use. If Init has not already been called, it will call it with default parameters. Instead of calling this you can call CreateWindow to create a new window.

Definition at line 410 of file dxmut.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Framework.SetWinformWindow | ( | System.Windows.Forms.Control | windowFocus,
|  | System.Windows.Forms.Control | windowDeviceFullscreen,
|  | System.Windows.Forms.Control | windowDeviceWindowed |
| ) |  |  |

Sets a previously created window for the framework to use. If Init has not already been called, it will call it with default parameters. Instead of calling this you can call CreateWindow to create a new window.

Definition at line 410 of file dxmut.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Framework.SetWndProcCallback | ( | WndProcCallback | callback | ) |

Definition at line 90 of file wdxmut.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Framework.SetWndProcCallback | ( | WndProcCallback | callback | ) |

Definition at line 90 of file dxmut.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Framework.SetWndProcCallback | ( | WndProcCallback | callback | ) |

Definition at line 90 of file dxmut.cs.

Here is the caller graph for this function:

void Microsoft.Samples.DirectX.UtilityToolkit.Framework.ShowSettingsDialog | ( | bool | shouldShow | ) |

Show the settings dialog, and create if needed.

Definition at line 3263 of file wdxmut.cs.

Here is the call graph for this function:

void Microsoft.Samples.DirectX.UtilityToolkit.Framework.ShowSettingsDialog | ( | bool | shouldShow | ) |

Show the settings dialog, and create if needed.

Definition at line 3262 of file dxmut.cs.

Here is the call graph for this function:

void Microsoft.Samples.DirectX.UtilityToolkit.Framework.ShowSettingsDialog | ( | bool | shouldShow | ) |

Show the settings dialog, and create if needed.

Definition at line 3262 of file dxmut.cs.

Here is the call graph for this function:

void Microsoft.Samples.DirectX.UtilityToolkit.Framework.ToggleFullscreen | ( |  | ) |

Toggle between full screen and windowed.

Definition at line 710 of file wdxmut.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Framework.ToggleFullscreen | ( |  | ) |

Toggle between full screen and windowed.

Definition at line 710 of file dxmut.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Framework.ToggleFullscreen | ( |  | ) |

Toggle between full screen and windowed.

Definition at line 710 of file dxmut.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Framework.ToggleReference | ( |  | ) |

Toggle between Hardware and Reference.

Definition at line 791 of file wdxmut.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Framework.ToggleReference | ( |  | ) |

Toggle between Hardware and Reference.

Definition at line 791 of file dxmut.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.Framework.ToggleReference | ( |  | ) |

Toggle between Hardware and Reference.

Definition at line 791 of file dxmut.cs.

## Member Data Documentation

const int Microsoft::Samples::DirectX::UtilityToolkit.Framework::DefaultSizeHeight = 480

Definition at line 47 of file dxmut.cs.

const int Microsoft::Samples::DirectX::UtilityToolkit.Framework::DefaultSizeWidth = 640

Definition at line 46 of file dxmut.cs.

static readonly IntPtr Microsoft::Samples::DirectX::UtilityToolkit.Framework::TrueIntPtr = new IntPtr(1)`[static]`

Definition at line 51 of file dxmut.cs.

## Property Documentation

SurfaceDescription Microsoft::Samples::DirectX::UtilityToolkit.Framework::BackBufferSurfaceDescription`[get]`

Returns the back buffer surface description.

Definition at line 3313 of file dxmut.cs.

bool Microsoft::Samples::DirectX::UtilityToolkit.Framework::CanAutomaticallyChangeMonitor`[get, set]`

Determines if the adapter can automatically change monitors.

Definition at line 3229 of file dxmut.cs.

System Drawing Rectangle Microsoft::Samples::DirectX::UtilityToolkit.Framework::ClientRectangle`[get]`

Client rectangle size.

Definition at line 3377 of file dxmut.cs.

Device Microsoft::Samples::DirectX::UtilityToolkit.Framework::Device`[get]`

Returns the device current in use for the framework.

Definition at line 3305 of file dxmut.cs.

Capabilities Microsoft.Samples.DirectX.UtilityToolkit.Framework.DeviceCapabilities`[get]`

Returns the device capabilities.

Definition at line 3322 of file wdxmut.cs.

Caps Microsoft::Samples::DirectX::UtilityToolkit.Framework::DeviceCaps`[get]`

Returns the device capabilities.

Definition at line 3321 of file dxmut.cs.

DeviceSettings Microsoft::Samples::DirectX::UtilityToolkit.Framework::DeviceSettings`[get]`

Return the device settings of the current device. If no device exists yet, then return blank device settings.

Definition at line 3441 of file dxmut.cs.

string Microsoft::Samples::DirectX::UtilityToolkit.Framework::DeviceStats`[get]`

Device statistics.

Definition at line 3408 of file dxmut.cs.

int Microsoft::Samples::DirectX::UtilityToolkit.Framework::ExitCode`[get]`

Exit code from the framework.

Definition at line 3255 of file dxmut.cs.

float Microsoft::Samples::DirectX::UtilityToolkit.Framework::FPS`[get]`

Frames per second application is running at.

Definition at line 3416 of file dxmut.cs.

string Microsoft::Samples::DirectX::UtilityToolkit.Framework::FrameStats`[get]`

Frame statistics.

Definition at line 3401 of file dxmut.cs.

bool Microsoft::Samples::DirectX::UtilityToolkit.Framework::IsD3DSettingsDialogShowing`[get]`

Returns whether the settings is showing.

Definition at line 3424 of file dxmut.cs.

bool Microsoft::Samples::DirectX::UtilityToolkit.Framework::IsIgnoringSizeChanges`[get, set]`

Should the framework ignore size changes?

Definition at line 3485 of file dxmut.cs.

bool Microsoft::Samples::DirectX::UtilityToolkit.Framework::IsNotifiedOnMouseMove`[get, set]`

Should the framework also notify for mouse moves.

Definition at line 3474 of file dxmut.cs.

bool Microsoft::Samples::DirectX::UtilityToolkit.Framework::IsOverridingFullScreen`[get, set]`

Should the framework override and start fullscreen?

Definition at line 3480 of file dxmut.cs.

bool Microsoft::Samples::DirectX::UtilityToolkit.Framework::IsShowingMsgBoxOnError`[get]`

Returns whether the framework is showing errors.

Definition at line 3432 of file dxmut.cs.

bool Microsoft::Samples::DirectX::UtilityToolkit.Framework::IsWindowed`[get]`

Return if windowed in the current device. If no device exists yet, return false.

Definition at line 3385 of file dxmut.cs.

PresentParameters Microsoft::Samples::DirectX::UtilityToolkit.Framework::PresentParameters`[get]`

Return the present params of the current device. If no device exists yet, then return blank present params.

Definition at line 3459 of file dxmut.cs.

System Windows Forms Control Microsoft::Samples::DirectX::UtilityToolkit.Framework::Window`[get]`

Get the current window used for rendering.

Definition at line 3329 of file dxmut.cs.

System Drawing Rectangle Microsoft::Samples::DirectX::UtilityToolkit.Framework::WindowClientRectangle`[get]`

Client rectangle size.

Definition at line 3369 of file dxmut.cs.

System Windows Forms Control Microsoft::Samples::DirectX::UtilityToolkit.Framework::WindowDeviceFullscreen`[get]`

Get the current window used for full screen rendering.

Definition at line 3361 of file dxmut.cs.

System Windows Forms Control Microsoft::Samples::DirectX::UtilityToolkit.Framework::WindowDeviceWindowed`[get]`

Get the current window used for windowed rendering.

Definition at line 3353 of file dxmut.cs.

System Windows Forms Control Microsoft::Samples::DirectX::UtilityToolkit.Framework::WindowFocus`[get]`

Get the current focus window.

Definition at line 3345 of file dxmut.cs.

System Windows Forms Form Microsoft::Samples::DirectX::UtilityToolkit.Framework::WindowForm`[get]`

Get the current window used for rendering.

Definition at line 3337 of file dxmut.cs.

## Event Documentation

DeviceEventHandler Microsoft::Samples::DirectX::UtilityToolkit.Framework::DeviceCreated

The event fired for when the device is created.

Definition at line 86 of file dxmut.cs.

EventHandler Microsoft::Samples::DirectX::UtilityToolkit.Framework::DeviceLost

The event fired for when the device is lost.

Definition at line 84 of file dxmut.cs.

DeviceEventHandler Microsoft::Samples::DirectX::UtilityToolkit.Framework::DeviceReset

The event fired for when the device is reset.

Definition at line 88 of file dxmut.cs.

EventHandler Microsoft::Samples::DirectX::UtilityToolkit.Framework::Disposing

The event fired for disposing of the device.

Definition at line 82 of file dxmut.cs.

The documentation for this class was generated from the following files:

- D:/guillaume/guillara/3D/DXGfx/Backup/DXCommon/dxmut.cs
- D:/guillaume/guillara/3D/DXGfx/DXCommon/dxmut.cs
- D:/guillaume/guillara/3D/DXGfx/DXCommon/wdxmut.cs